Loading...
Searching...
No Matches
pdftron::PDF::OfficeToPDFOptions Class Reference

`#include <OfficeToPDFOptions.h>`

Inheritance diagram for pdftron::PDF::OfficeToPDFOptions:

## Public Types
enum | StructureTagLevel { e_default = 0 , e_none = 1 }
enum | DisplayComments { e_off = 0 , e_annotations = 1 }
enum | DisplaySpeakerNotes { e_no_speaker_notes = 0 , e_speaker_notes_annotations = 1 }
enum | UpdateDynamicFields { e_update_all = -1 , e_update_none = 0 , e_update_doc_props = 1 }
enum | AnimationMode { e_ignore = 0 , e_paginate = 1 }

## Public Member Functions
| OfficeToPDFOptions ()
| ~OfficeToPDFOptions ()
AnimationMode | GetAnimationHandling ()
OfficeToPDFOptions & | SetAnimationHandling (AnimationMode value)
bool | GetApplyPageBreaksToSheet ()
OfficeToPDFOptions & | SetApplyPageBreaksToSheet (bool value)
bool | GetDisableExcelHeadersFooters ()
OfficeToPDFOptions & | SetDisableExcelHeadersFooters (bool value)
bool | GetDisableExcelMargins ()
OfficeToPDFOptions & | SetDisableExcelMargins (bool value)
bool | GetDisableSheetHeightLimit ()
OfficeToPDFOptions & | SetDisableSheetHeightLimit (bool value)
bool | GetDisplayChangeTracking ()
OfficeToPDFOptions & | SetDisplayChangeTracking (bool value)
DisplayComments | GetDisplayComments ()
OfficeToPDFOptions & | SetDisplayComments (DisplayComments value)
bool | GetDisplayHiddenCells ()
OfficeToPDFOptions & | SetDisplayHiddenCells (bool value)
bool | GetDisplayHiddenText ()
OfficeToPDFOptions & | SetDisplayHiddenText (bool value)
DisplaySpeakerNotes | GetDisplaySpeakerNotes ()
OfficeToPDFOptions & | SetDisplaySpeakerNotes (DisplaySpeakerNotes value)
double | GetExcelDefaultCellBorderWidth ()
OfficeToPDFOptions & | SetExcelDefaultCellBorderWidth (double value)
UInt32 | GetExcelMaxAllowedCellCount ()
OfficeToPDFOptions & | SetExcelMaxAllowedCellCount (UInt32 value)
bool | GetHideTotalNumberOfPages ()
OfficeToPDFOptions & | SetHideTotalNumberOfPages (bool value)
bool | GetIncludeBookmarks ()
OfficeToPDFOptions & | SetIncludeBookmarks (bool value)
bool | GetIncrementalSave ()
OfficeToPDFOptions & | SetIncrementalSave (bool value)
UString | GetLayoutResourcesPluginPath ()
OfficeToPDFOptions & | SetLayoutResourcesPluginPath (const UString &value)
UString | GetLocale ()
OfficeToPDFOptions & | SetLocale (const UString &value)
UString | GetPassword ()
OfficeToPDFOptions & | SetPassword (const UString &value)
UString | GetResourceDocPath ()
OfficeToPDFOptions & | SetResourceDocPath (const UString &value)
UString | GetSmartSubstitutionPluginPath ()
OfficeToPDFOptions & | SetSmartSubstitutionPluginPath (const UString &value)
bool | GetShowExcelGridlines ()
OfficeToPDFOptions & | SetShowExcelGridlines (bool value)
StructureTagLevel | GetStructureTagLevel ()
OfficeToPDFOptions & | SetStructureTagLevel (StructureTagLevel value)
UString | GetTemplateLeftDelimiter ()
OfficeToPDFOptions & | SetTemplateLeftDelimiter (const UString &value)
UString | GetTemplateParamsJson ()
OfficeToPDFOptions & | SetTemplateParamsJson (const UString &value)
UString | GetTemplateRightDelimiter ()
OfficeToPDFOptions & | SetTemplateRightDelimiter (const UString &value)
bool | GetTemplateStrictMode ()
OfficeToPDFOptions & | SetTemplateStrictMode (bool value)
UpdateDynamicFields | GetUpdateDynamicFields ()
OfficeToPDFOptions & | SetUpdateDynamicFields (UpdateDynamicFields value)
bool | GetUpdateTableOfContents ()
OfficeToPDFOptions & | SetUpdateTableOfContents (bool value)

## Detailed Description

Definition at line 9 of file OfficeToPDFOptions.h.

## Member Enumeration Documentation

## ◆ AnimationMode

enum pdftron::PDF::OfficeToPDFOptions::AnimationMode

PowerPoint document animation display options.

Enumerator
e_ignore | Default value. Displays the default (preview) slide layout and ignores any animations. The number of generated pages is equal to the number of slides.
e_paginate | Follows PowerPoint's presentation mode where each click through the presentation will be generated as a new page. If a slide contains animations that show or hide content, each click through that slide is a new page.

Definition at line 54 of file OfficeToPDFOptions.h.

## ◆ DisplayComments

enum pdftron::PDF::OfficeToPDFOptions::DisplayComments

Word document comment options.

Enumerator
e_off | Default value. Display no comments.
e_annotations | Display comments as annotations.

Definition at line 24 of file OfficeToPDFOptions.h.

## ◆ DisplaySpeakerNotes

enum pdftron::PDF::OfficeToPDFOptions::DisplaySpeakerNotes

PowerPoint document speaker note options.

Enumerator
e_no_speaker_notes | Default value. Display no speaker notes.
e_speaker_notes_annotations | Display speaker notes as annotations.

Definition at line 33 of file OfficeToPDFOptions.h.

## ◆ StructureTagLevel

enum pdftron::PDF::OfficeToPDFOptions::StructureTagLevel

Level of detail for structure tags.

Enumerator
e_default | Default level of structure tags, good for accessibility.
e_none | No structure tags. This can be used to get smaller file sizes.

Definition at line 15 of file OfficeToPDFOptions.h.

## ◆ UpdateDynamicFields

enum pdftron::PDF::OfficeToPDFOptions::UpdateDynamicFields

Dynamic fields to be updated within the document. Enum values can be bitwise OR-ed to define a specific combination of fields to be updated.

Enumerator
e_update_all | Updates all dynamic fields within the document.
e_update_none | Default value. Does not update dynamic fields within the document.
e_update_doc_props | Updates document property fields within the document.

Definition at line 44 of file OfficeToPDFOptions.h.

## Constructor & Destructor Documentation

## ◆ OfficeToPDFOptions()

pdftron::PDF::OfficeToPDFOptions::OfficeToPDFOptions | ( |  | ) |

## ◆ ~OfficeToPDFOptions()

pdftron::PDF::OfficeToPDFOptions::~OfficeToPDFOptions | ( |  | ) |

## Member Function Documentation

## ◆ GetAnimationHandling()

AnimationMode pdftron::PDF::OfficeToPDFOptions::GetAnimationHandling | ( |  | ) |

Gets the value AnimationHandling from the options object. Specifies the handling of animations present in the PowerPoint document. By default, animations will be ignored and only the default content of each slide will be displayed.

Returns
  The current value for AnimationHandling.

## ◆ GetApplyPageBreaksToSheet()

bool pdftron::PDF::OfficeToPDFOptions::GetApplyPageBreaksToSheet | ( |  | ) |

Gets the value ApplyPageBreaksToSheet from the options object. Whether we should split Excel worksheets into pages so that the output resembles print output. If set to false (the default), Excel sheets will be placed one per page, except in the case where the sheets are very large.

Returns
  The current value for ApplyPageBreaksToSheet.

## ◆ GetDisableExcelHeadersFooters()

bool pdftron::PDF::OfficeToPDFOptions::GetDisableExcelHeadersFooters | ( |  | ) |

Gets the value DisableExcelHeadersFooters from the options object. Disables the conversion of Excel headers and footers. When this flag is set to True, any headers or footers in the original Excel sheet will be ignored in the output.

Returns
  The current value for DisableExcelHeadersFooters.

## ◆ GetDisableExcelMargins()

bool pdftron::PDF::OfficeToPDFOptions::GetDisableExcelMargins | ( |  | ) |

Gets the value DisableExcelMargins from the options object. Sets Excel page margins to zero. When this flag is set to True, the output pages of the Excel conversion will have no margins.

Returns
  The current value for DisableExcelMargins.

## ◆ GetDisableSheetHeightLimit()

bool pdftron::PDF::OfficeToPDFOptions::GetDisableSheetHeightLimit | ( |  | ) |

Gets the value DisableSheetHeightLimit from the options object. Removes the default sheet height limit of 12 feet, after which the sheet would be divided into pages up to 4 feet long each. When this flag is set to True and ApplyPageBreaksToSheet is set to False, each page will contain the entire corresponding sheet.

Returns
  The current value for DisableSheetHeightLimit.

## ◆ GetDisplayChangeTracking()

bool pdftron::PDF::OfficeToPDFOptions::GetDisplayChangeTracking | ( |  | ) |

Gets the value DisplayChangeTracking from the options object. If this option is true, will display office change tracking markup present in the document (i.e, red strikethrough of deleted content and underlining of new content). Otherwise displays the resolved document content, with no markup. Defaults to true.

Returns
  The current value for DisplayChangeTracking.

## ◆ GetDisplayComments()

DisplayComments pdftron::PDF::OfficeToPDFOptions::GetDisplayComments | ( |  | ) |

Gets the value DisplayComments from the options object. Specifies the display of comments that are present in the document. By default, comments will not be displayed.

Returns
  The current value for DisplayComments.

## ◆ GetDisplayHiddenCells()

bool pdftron::PDF::OfficeToPDFOptions::GetDisplayHiddenCells | ( |  | ) |

Gets the value DisplayHiddenCells from the options object. Display any hidden rows and columns present in the Excel sheet (i.e., rows/columns with visibility set as 'hidden'). By default, hidden cells will not be displayed.

Returns
  The current value for DisplayHiddenCells.

## ◆ GetDisplayHiddenText()

bool pdftron::PDF::OfficeToPDFOptions::GetDisplayHiddenText | ( |  | ) |

Gets the value DisplayHiddenText from the options object. Display any hidden text that is present in the document (i.e., text that has been marked as 'Hidden' in the font style). By default, hidden text will not be displayed.

Returns
  The current value for DisplayHiddenText.

## ◆ GetDisplaySpeakerNotes()

DisplaySpeakerNotes pdftron::PDF::OfficeToPDFOptions::GetDisplaySpeakerNotes | ( |  | ) |

Gets the value DisplaySpeakerNotes from the options object. Specifies the display of speaker notes that are present in the PowerPoint document. By default, speaker notes will not be displayed.

Returns
  The current value for DisplaySpeakerNotes.

## ◆ GetExcelDefaultCellBorderWidth()

double pdftron::PDF::OfficeToPDFOptions::GetExcelDefaultCellBorderWidth | ( |  | ) |

Gets the value ExcelDefaultCellBorderWidth from the options object. Cell border width for table cells that would normally be drawn with no border. In units of points. Can be used to achieve a similar effect to the "show gridlines" display option within Microsoft Excel.

Returns
  The current value for ExcelDefaultCellBorderWidth.

## ◆ GetExcelMaxAllowedCellCount()

UInt32 pdftron::PDF::OfficeToPDFOptions::GetExcelMaxAllowedCellCount | ( |  | ) |

Gets the value ExcelMaxAllowedCellCount from the options object. Conversion will throw an exception if the number of cells in a Microsoft Excel document is above the set MaxAllowedCellCount. Used for early termination of resource intensive conversions. Setting this value to 250000 will allow the vast majority of Excel documents to convert without issue, while keeping RAM usage to a reasonable level. By default there is no limit to the number of allowed cells.

Returns
  The current value for ExcelMaxAllowedCellCount.

## ◆ GetHideTotalNumberOfPages()

bool pdftron::PDF::OfficeToPDFOptions::GetHideTotalNumberOfPages | ( |  | ) |

Gets the value HideTotalNumberOfPages from the options object. If the document has an element that displays the total number of pages and the total number of pages is unknown beforehand, remove those elements from the document.

Returns
  The current value for HideTotalNumberOfPages.

## ◆ GetIncludeBookmarks()

bool pdftron::PDF::OfficeToPDFOptions::GetIncludeBookmarks | ( |  | ) |

Gets the value IncludeBookmarks from the options object. When this option is set to false, Word document bookmarks will not be converted into PDF bookmarks. However, Word headings will still be automatically converted into PDF bookmarks. By default, both Word bookmarks and headings are converted into PDF bookmarks, providing a comprehensive navigation structure within the converted PDF.

Returns
  The current value for IncludeBookmarks.

## ◆ GetIncrementalSave()

bool pdftron::PDF::OfficeToPDFOptions::GetIncrementalSave | ( |  | ) |

Gets the value IncrementalSave from the options object. If this option is true, the document will be saved incrementally during the conversion, thus reducing the peak memory usage. Save an empty PDFDoc to the target location before the conversion so the incremental saving is done directly to the target location. Otherwise, a temporary file will be used. PDFDoc.Save still has to be called after the conversion is done to finalize the file. Doing PDFDoc.Save with e_incremental flag will reduce the saving time but increase the PDF file size.

Returns
  The current value for IncrementalSave.

## ◆ GetLayoutResourcesPluginPath()

UString pdftron::PDF::OfficeToPDFOptions::GetLayoutResourcesPluginPath | ( |  | ) |

Gets the value LayoutResourcesPluginPath from the options object The path at which the pdftron-provided font resource plugin resides

Returns
  a UString, the current value for LayoutResourcesPluginPath.

## ◆ GetLocale()

UString pdftron::PDF::OfficeToPDFOptions::GetLocale | ( |  | ) |

Gets the value Locale from the options object. ISO 639-1 code of the locale to be applied during conversion. For example: 'en-US', 'ar-SA', 'de-DE', etc. Currently only applied during xls/xlsx conversions.

Returns
  The current value for Locale.

## ◆ GetPassword()

UString pdftron::PDF::OfficeToPDFOptions::GetPassword | ( |  | ) |

Gets the value Password from the options object. Password used to decrypt password-protected office documents.

Returns
  The current value for Password.

## ◆ GetResourceDocPath()

UString pdftron::PDF::OfficeToPDFOptions::GetResourceDocPath | ( |  | ) |

Gets the value ResourceDocPath from the options object The path at which a .docx resource document resides

Returns
  a UString, the current value for ResourceDocPath.

## ◆ GetShowExcelGridlines()

bool pdftron::PDF::OfficeToPDFOptions::GetShowExcelGridlines | ( |  | ) |

Gets the value ShowExcelGridlines from the options object. Forces Excel gridlines to appear in the output when they are not enabled in the original sheet.

Returns
  The current value for ShowExcelGridlines.

## ◆ GetSmartSubstitutionPluginPath()

UString pdftron::PDF::OfficeToPDFOptions::GetSmartSubstitutionPluginPath | ( |  | ) |

Gets the value SmartSubstitutionPluginPath from the options object The path at which the pdftron-provided font resource plugin resides

Returns
  a UString, the current value for SmartSubstitutionPluginPath.

## ◆ GetStructureTagLevel()

StructureTagLevel pdftron::PDF::OfficeToPDFOptions::GetStructureTagLevel | ( |  | ) |

Gets the value StructureTagLevel from the options object. Specifies the level of document structure tags to include in the PDF for accessibility purposes.

Returns
  The current value for StructureTagLevel.

## ◆ GetTemplateLeftDelimiter()

UString pdftron::PDF::OfficeToPDFOptions::GetTemplateLeftDelimiter | ( |  | ) |

Gets the value TemplateLeftDelimiter from the options object. Left delimiter for template tags. Defaults to '{{'.

Returns
  The current value for TemplateLeftDelimiter.

## ◆ GetTemplateParamsJson()

UString pdftron::PDF::OfficeToPDFOptions::GetTemplateParamsJson | ( |  | ) |

Gets the value TemplateParamsJson from the options object. JSON string representing the data to be merged into a PDFTron office template. For a more featureful template API, see CreateOfficeTemplate.

Returns
  The current value for TemplateParamsJson.

## ◆ GetTemplateRightDelimiter()

UString pdftron::PDF::OfficeToPDFOptions::GetTemplateRightDelimiter | ( |  | ) |

Gets the value TemplateRightDelimiter from the options object. Right delimiter for template tags. Defaults to '}}'.

Returns
  The current value for TemplateRightDelimiter.

## ◆ GetTemplateStrictMode()

bool pdftron::PDF::OfficeToPDFOptions::GetTemplateStrictMode | ( |  | ) |

Gets the value TemplateStrictMode from the options object. If "Strict Mode" is enabled, when a template key is missing from the json data an exception will be thrown. If "Strict Mode" is disabled (default), the tag will be replaced with no content.

Returns
  The current value for TemplateStrictMode.

## ◆ GetUpdateDynamicFields()

UpdateDynamicFields pdftron::PDF::OfficeToPDFOptions::GetUpdateDynamicFields | ( |  | ) |

Gets the value UpdateDynamicFields from the options object. Specifies which dynamic fields should be updated within the document. By default, dynamic fields will display cached field values, which is consistent with the PDF export behaviour of Word. This option allows fine-tuning which types of dynamic fields are updated, which would otherwise have to be done manually in Word. Updating dynamic fields can improve the accuracy of field content, though it may increase conversion time. Some dynamic fields such as page numbers are always updated regardless of this setting.

Returns
  The current value for UpdateDynamicFields.

## ◆ GetUpdateTableOfContents()

bool pdftron::PDF::OfficeToPDFOptions::GetUpdateTableOfContents | ( |  | ) |

Gets the value UpdateTableOfContents from the options object. Updates the table of contents in the document so it matches the actual locations of headings/bookmarks. By default, the table of contents is not updated. Enabling this option may negatively affect conversion speed.

Returns
  The current value for UpdateTableOfContents.

## ◆ SetAnimationHandling()

OfficeToPDFOptions & pdftron::PDF::OfficeToPDFOptions::SetAnimationHandling | ( | AnimationMode | value | ) |

Sets the value for AnimationHandling in the options object. Specifies the handling of animations present in the PowerPoint document. By default, animations will be ignored and only the default content of each slide will be displayed.

Parameters

  value | The new value for AnimationHandling.

Returns
  This object, for call chaining.

## ◆ SetApplyPageBreaksToSheet()

OfficeToPDFOptions & pdftron::PDF::OfficeToPDFOptions::SetApplyPageBreaksToSheet | ( | bool | value | ) |

Sets the value for ApplyPageBreaksToSheet in the options object. Whether we should split Excel worksheets into pages so that the output resembles print output. If set to false (the default), Excel sheets will be placed one per page, except in the case where the sheets are very large.

Parameters

  value | The new value for ApplyPageBreaksToSheet.

Returns
  This object, for call chaining.

## ◆ SetDisableExcelHeadersFooters()

OfficeToPDFOptions & pdftron::PDF::OfficeToPDFOptions::SetDisableExcelHeadersFooters | ( | bool | value | ) |

Sets the value for DisableExcelHeadersFooters in the options object. Disables the conversion of Excel headers and footers. When this flag is set to True, any headers or footers in the original Excel sheet will be ignored in the output.

Parameters

  value | The new value for DisableExcelHeadersFooters.

Returns
  This object, for call chaining.

## ◆ SetDisableExcelMargins()

OfficeToPDFOptions & pdftron::PDF::OfficeToPDFOptions::SetDisableExcelMargins | ( | bool | value | ) |

Sets the value for DisableExcelMargins in the options object. Sets Excel page margins to zero. When this flag is set to True, the output pages of the Excel conversion will have no margins.

Parameters

  value | The new value for DisableExcelMargins.

Returns
  This object, for call chaining.

## ◆ SetDisableSheetHeightLimit()

OfficeToPDFOptions & pdftron::PDF::OfficeToPDFOptions::SetDisableSheetHeightLimit | ( | bool | value | ) |

Sets the value for DisableSheetHeightLimit in the options object. Removes the default sheet height limit of 12 feet, after which the sheet would be divided into pages up to 4 feet long each. When this flag is set to True and ApplyPageBreaksToSheet is set to False, each page will contain the entire corresponding sheet.

Parameters

  value | The new value for DisableSheetHeightLimit.

Returns
  This object, for call chaining.

## ◆ SetDisplayChangeTracking()

OfficeToPDFOptions & pdftron::PDF::OfficeToPDFOptions::SetDisplayChangeTracking | ( | bool | value | ) |

Sets the value for DisplayChangeTracking in the options object. If this option is true, will display office change tracking markup present in the document (i.e, red strikethrough of deleted content and underlining of new content). Otherwise displays the resolved document content, with no markup. Defaults to true.

Parameters

  value | The new value for DisplayChangeTracking.

Returns
  This object, for call chaining.

## ◆ SetDisplayComments()

OfficeToPDFOptions & pdftron::PDF::OfficeToPDFOptions::SetDisplayComments | ( | DisplayComments | value | ) |

Sets the value for DisplayComments in the options object. Specifies the display of comments that are present in the document. By default, comments will not be displayed.

Parameters

  value | The new value for DisplayComments.

Returns
  This object, for call chaining.

## ◆ SetDisplayHiddenCells()

OfficeToPDFOptions & pdftron::PDF::OfficeToPDFOptions::SetDisplayHiddenCells | ( | bool | value | ) |

Sets the value for DisplayHiddenCells in the options object. Display any hidden rows and columns present in the Excel sheet (i.e., rows/columns with visibility set as 'hidden'). By default, hidden cells will not be displayed.

Parameters

  value | The new value for DisplayHiddenCells.

Returns
  This object, for call chaining.

## ◆ SetDisplayHiddenText()

OfficeToPDFOptions & pdftron::PDF::OfficeToPDFOptions::SetDisplayHiddenText | ( | bool | value | ) |

Sets the value for DisplayHiddenText in the options object. Display any hidden text that is present in the document (i.e., text that has been marked as 'Hidden' in the font style). By default, hidden text will not be displayed.

Parameters

  value | The new value for DisplayHiddenText.

Returns
  This object, for call chaining.

## ◆ SetDisplaySpeakerNotes()

OfficeToPDFOptions & pdftron::PDF::OfficeToPDFOptions::SetDisplaySpeakerNotes | ( | DisplaySpeakerNotes | value | ) |

Sets the value for DisplaySpeakerNotes in the options object. Specifies the display of speaker notes that are present in the PowerPoint document. By default, speaker notes will not be displayed.

Parameters

  value | The new value for DisplaySpeakerNotes.

Returns
  This object, for call chaining.

## ◆ SetExcelDefaultCellBorderWidth()

OfficeToPDFOptions & pdftron::PDF::OfficeToPDFOptions::SetExcelDefaultCellBorderWidth | ( | double | value | ) |

Sets the value for ExcelDefaultCellBorderWidth in the options object. Cell border width for table cells that would normally be drawn with no border. In units of points. Can be used to achieve a similar effect to the "show gridlines" display option within Microsoft Excel.

Parameters

  value | The new value for ExcelDefaultCellBorderWidth.

Returns
  This object, for call chaining.

## ◆ SetExcelMaxAllowedCellCount()

OfficeToPDFOptions & pdftron::PDF::OfficeToPDFOptions::SetExcelMaxAllowedCellCount | ( | UInt32 | value | ) |

Sets the value for ExcelMaxAllowedCellCount in the options object. Conversion will throw an exception if the number of cells in a Microsoft Excel document is above the set MaxAllowedCellCount. Used for early termination of resource intensive conversions. Setting this value to 250000 will allow the vast majority of Excel documents to convert without issue, while keeping RAM usage to a reasonable level. By default there is no limit to the number of allowed cells.

Parameters

  value | The new value for ExcelMaxAllowedCellCount.

Returns
  This object, for call chaining.

## ◆ SetHideTotalNumberOfPages()

OfficeToPDFOptions & pdftron::PDF::OfficeToPDFOptions::SetHideTotalNumberOfPages | ( | bool | value | ) |

Sets the value for HideTotalNumberOfPages in the options object. If the document has an element that displays the total number of pages and the total number of pages is unknown beforehand, remove those elements from the document.

Parameters

  value | The new value for HideTotalNumberOfPages.

Returns
  This object, for call chaining.

## ◆ SetIncludeBookmarks()

OfficeToPDFOptions & pdftron::PDF::OfficeToPDFOptions::SetIncludeBookmarks | ( | bool | value | ) |

Sets the value for IncludeBookmarks in the options object. When this option is set to false, Word document bookmarks will not be converted into PDF bookmarks. However, Word headings will still be automatically converted into PDF bookmarks. By default, both Word bookmarks and headings are converted into PDF bookmarks, providing a comprehensive navigation structure within the converted PDF.

Parameters

  value | The new value for IncludeBookmarks.

Returns
  This object, for call chaining.

## ◆ SetIncrementalSave()

OfficeToPDFOptions & pdftron::PDF::OfficeToPDFOptions::SetIncrementalSave | ( | bool | value | ) |

Sets the value for IncrementalSave in the options object. If this option is true, the document will be saved incrementally during the conversion, thus reducing the peak memory usage. Save an empty PDFDoc to the target location before the conversion so the incremental saving is done directly to the target location. Otherwise, a temporary file will be used. PDFDoc.Save still has to be called after the conversion is done to finalize the file. Doing PDFDoc.Save with e_incremental flag will reduce the saving time but increase the PDF file size.

Parameters

  value | The new value for IncrementalSave.

Returns
  This object, for call chaining.

## ◆ SetLayoutResourcesPluginPath()

OfficeToPDFOptions & pdftron::PDF::OfficeToPDFOptions::SetLayoutResourcesPluginPath | ( | const UString & | value | ) |

Sets the value for LayoutResourcesPluginPath in the options object The path at which the pdftron-provided font resource plugin resides

Parameters

  value | the new value for LayoutResourcesPluginPath

Returns
  this object, for call chaining

## ◆ SetLocale()

OfficeToPDFOptions & pdftron::PDF::OfficeToPDFOptions::SetLocale | ( | const UString & | value | ) |

Sets the value for Locale in the options object. ISO 639-1 code of the locale to be applied during conversion. For example: 'en-US', 'ar-SA', 'de-DE', etc. Currently only applied during xls/xlsx conversions.

Parameters

  value | The new value for Locale.

Returns
  This object, for call chaining.

## ◆ SetPassword()

OfficeToPDFOptions & pdftron::PDF::OfficeToPDFOptions::SetPassword | ( | const UString & | value | ) |

Sets the value for Password in the options object. Password used to decrypt password-protected office documents.

Parameters

  value | The new value for Password.

Returns
  This object, for call chaining.

## ◆ SetResourceDocPath()

OfficeToPDFOptions & pdftron::PDF::OfficeToPDFOptions::SetResourceDocPath | ( | const UString & | value | ) |

Sets the value for ResourceDocPath in the options object The path at which a .docx resource document resides

Parameters

  value | the new value for ResourceDocPath

Returns
  this object, for call chaining

## ◆ SetShowExcelGridlines()

OfficeToPDFOptions & pdftron::PDF::OfficeToPDFOptions::SetShowExcelGridlines | ( | bool | value | ) |

Sets the value for ShowExcelGridlines in the options object. Forces Excel gridlines to appear in the output when they are not enabled in the original sheet.

Parameters

  value | The new value for ShowExcelGridlines.

Returns
  This object, for call chaining.

## ◆ SetSmartSubstitutionPluginPath()

OfficeToPDFOptions & pdftron::PDF::OfficeToPDFOptions::SetSmartSubstitutionPluginPath | ( | const UString & | value | ) |

Sets the value for SmartSubstitutionPluginPath in the options object The path at which the pdftron-provided font resource plugin resides

Parameters

  value | the new value for SmartSubstitutionPluginPath

Returns
  this object, for call chaining

## ◆ SetStructureTagLevel()

OfficeToPDFOptions & pdftron::PDF::OfficeToPDFOptions::SetStructureTagLevel | ( | StructureTagLevel | value | ) |

Sets the value for StructureTagLevel in the options object. Specifies the level of document structure tags to include in the PDF for accessibility purposes.

Parameters

  value | The new value for StructureTagLevel.

Returns
  This object, for call chaining.

## ◆ SetTemplateLeftDelimiter()

OfficeToPDFOptions & pdftron::PDF::OfficeToPDFOptions::SetTemplateLeftDelimiter | ( | const UString & | value | ) |

Sets the value for TemplateLeftDelimiter in the options object. Left delimiter for template tags. Defaults to '{{'.

Parameters

  value | The new value for TemplateLeftDelimiter.

Returns
  This object, for call chaining.

## ◆ SetTemplateParamsJson()

OfficeToPDFOptions & pdftron::PDF::OfficeToPDFOptions::SetTemplateParamsJson | ( | const UString & | value | ) |

Sets the value for TemplateParamsJson in the options object. JSON string representing the data to be merged into a PDFTron office template. For a more featureful template API, see CreateOfficeTemplate.

Parameters

  value | The new value for TemplateParamsJson.

Returns
  This object, for call chaining.

## ◆ SetTemplateRightDelimiter()

OfficeToPDFOptions & pdftron::PDF::OfficeToPDFOptions::SetTemplateRightDelimiter | ( | const UString & | value | ) |

Sets the value for TemplateRightDelimiter in the options object. Right delimiter for template tags. Defaults to '}}'.

Parameters

  value | The new value for TemplateRightDelimiter.

Returns
  This object, for call chaining.

## ◆ SetTemplateStrictMode()

OfficeToPDFOptions & pdftron::PDF::OfficeToPDFOptions::SetTemplateStrictMode | ( | bool | value | ) |

Sets the value for TemplateStrictMode in the options object. If "Strict Mode" is enabled, when a template key is missing from the json data an exception will be thrown. If "Strict Mode" is disabled (default), the tag will be replaced with no content.

Parameters

  value | The new value for TemplateStrictMode.

Returns
  This object, for call chaining.

## ◆ SetUpdateDynamicFields()

OfficeToPDFOptions & pdftron::PDF::OfficeToPDFOptions::SetUpdateDynamicFields | ( | UpdateDynamicFields | value | ) |

Sets the value for UpdateDynamicFields in the options object. Specifies which dynamic fields should be updated within the document. By default, dynamic fields will display cached field values, which is consistent with the PDF export behaviour of Word. This option allows fine-tuning which types of dynamic fields are updated, which would otherwise have to be done manually in Word. Updating dynamic fields can improve the accuracy of field content, though it may increase conversion time. Some dynamic fields such as page numbers are always updated regardless of this setting.

Parameters

  value | The new value for UpdateDynamicFields.

Returns
  This object, for call chaining.

## ◆ SetUpdateTableOfContents()

OfficeToPDFOptions & pdftron::PDF::OfficeToPDFOptions::SetUpdateTableOfContents | ( | bool | value | ) |

Sets the value for UpdateTableOfContents in the options object. Updates the table of contents in the document so it matches the actual locations of headings/bookmarks. By default, the table of contents is not updated. Enabling this option may negatively affect conversion speed.

Parameters

  value | The new value for UpdateTableOfContents.

Returns
  This object, for call chaining.

The documentation for this class was generated from the following file:

- PDF/OfficeToPDFOptions.h